Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core
Class Prop

    java.lang.Object
      org.basex.core.AProp
          org.basex.core.Prop

    public final class Prop

extends AProp

This class assembles properties which are used all around the project. They are initially read from and finally written to disk.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary
`static Object[]` | `ALLINFO` Detailed processing info.
`static Object[]` | `ATTRINDEX` Flag for creating an attribute value index.
`static Object[]` | `CACHEQUERY` Caches the query results.
`static Object[]` | `CASESENS` Flag for full-text case sensitivity.
`static Object[]` | `CHOP` Flag for whitespace chopping.
`static Object[]` | `COMPPLAN` Creates the query plan before or after compilation.
`static Object[]` | `CREATEFILTER` Path for filtering XML Documents.
`static Object[]` | `DBPATH` Database path.
`static boolean` | `debug` Debug mode.
`static Object[]` | `DEBUG` Debug mode.
`static Object[]` | `DIACRITICS` Flag for full-text diacritics sensitivity.
`static Object[]` | `DOTPLAN` Dots the query plan.
`static Object[]` | `DOTTY` Path to dotty.
`static Object[]` | `DTD` Flag for parsing DTDs in internal parser.
`static String` | `ENCODING` Returns the system's default encoding.
`static Object[]` | `ENTITY` Flag for entity parsing in internal parser.
`static Object[]` | `FSCONT` Flag for importing file contents.
`static Object[]` | `FSMETA` Flag for importing file metadata.
`static Object[]` | `FSTEXTMAX` Maximum size for textual imports.
`static Object[]` | `FSVERBOSE` Verbose debug informations for FSTraversal.
`static Object[]` | `FSXML` Flag for importing xml contents.
`static Object[]` | `FTINDEX` Flag for creating a full-text index.
`static Object[]` | `FUSE` Fuse support.
`static boolean` | `gui` GUI mode.
`static String` | `HOME` User's home directory.
`static Object[]` | `HOST` Client/server communication: host.
`static Object[]` | `INFO` Short processing info.
`static Object[]` | `INTPARSE` Use internal XML parser.
`static boolean` | `langkeys` Flag for showing language keys.
`static Object[]` | `LANGKEYS` Flag to include key names in the language strings.
`static String` | `language` Language (applied after restart).
`static Object[]` | `LANGUAGE` Language Name (currently: English or German).
`static Object[]` | `LSERROR` Levenshtein default error.
`static Object[]` | `MAB2FLAT` Flag for creating flat MAB2 data.
`static boolean` | `MAC` Flag denoting if OS belongs to Mac family.
`static Object[]` | `MAINMEM` Flag for creating a main memory database.
`static Object[]` | `MAXSTAT` Maximum number of index occurrences to print.
`static Object[]` | `MAXTEXT` Maximum text size to be displayed.
`static String` | `NL` New line string.
`static Object[]` | `PATHINDEX` Flag for creating a path summary.
`static Object[]` | `PORT` Client/server communication: client port.
`static Object[]` | `RUNS` Number of query executions.
`static Object[]` | `SCORING` Scoring mode: 0 = none, 1 = document nodes, 2 = text nodes.
`static String` | `SEP` File separator string.
`static Object[]` | `SERIALIZE` Flag for serializing query results.
`static Object[]` | `SERVERPORT` Client/server communication: server port.
`static Object[]` | `SKIP` The following options are not saved to disk; don't remove this flag.
`static Object[]` | `SPOTLIGHT` Spotlight integration.
`static Object[]` | `STEMMING` Flag for full-text stemming.
`static Object[]` | `STOPWORDS` Path to full-text stopword list.
`static Object[]` | `TABLEMEM` Flag for loading database table into main memory.
`static Object[]` | `TEXTINDEX` Flag for creating a text index.
`static Object[]` | `TIMEOUT` Server timeout in seconds; deactivated if set to 0.
`static String` | `TMP` System's temporary directory.
`static Object[]` | `WILDCARDS` Flag for creating a wildcard index.
`static String` | `WORK` Returns the current working directory.
`static Object[]` | `XMLENCODING` Format output.
`static Object[]` | `XMLFORMAT` Format output.
`static Object[]` | `XMLOUTPUT` Flag for serialization as XML.
`static Object[]` | `XMLPLAN` Prints a XML plan.

Constructor Summary
`Prop(boolean read)` Constructor.

Method Summary
`boolean` | `dbexists(String db)` Checks if the specified database exists.
`File` | `dbpath(String db)` Returns a file instance for the current database path.

Methods inherited from class org.basex.core.AProp
`get, invert, is, num, nums, object, set, set, set, set, set, set, strings, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NL

    public static final String NL

  New line string.

### SEP

    public static final String SEP

  File separator string.

### ENCODING

    public static final String ENCODING

  Returns the system's default encoding.

### WORK

    public static final String WORK

  Returns the current working directory.

### HOME

    public static final String HOME

  User's home directory.

### TMP

    public static final String TMP

  System's temporary directory.

### MAC

    public static final boolean MAC

  Flag denoting if OS belongs to Mac family.

### DBPATH

    public static final Object[] DBPATH

  Database path.

### LANGUAGE

    public static final Object[] LANGUAGE

  Language Name (currently: English or German).

### LANGKEYS

    public static final Object[] LANGKEYS

  Flag to include key names in the language strings.

### HOST

    public static final Object[] HOST

  Client/server communication: host.

### PORT

    public static final Object[] PORT

  Client/server communication: client port.

### SERVERPORT

    public static final Object[] SERVERPORT

  Client/server communication: server port.

### SKIP

    public static final Object[] SKIP

  The following options are not saved to disk; don't remove this flag.

### DEBUG

    public static final Object[] DEBUG

  Debug mode.

### INFO

    public static final Object[] INFO

  Short processing info.

### ALLINFO

    public static final Object[] ALLINFO

  Detailed processing info.

### SERIALIZE

    public static final Object[] SERIALIZE

  Flag for serializing query results.

### XMLOUTPUT

    public static final Object[] XMLOUTPUT

  Flag for serialization as XML.

### XMLFORMAT

    public static final Object[] XMLFORMAT

  Format output.

### XMLENCODING

    public static final Object[] XMLENCODING

  Format output.

### DOTPLAN

    public static final Object[] DOTPLAN

  Dots the query plan.

### DOTTY

    public static final Object[] DOTTY

  Path to dotty.

### XMLPLAN

    public static final Object[] XMLPLAN

  Prints a XML plan.

### COMPPLAN

    public static final Object[] COMPPLAN

  Creates the query plan before or after compilation.

### CACHEQUERY

    public static final Object[] CACHEQUERY

  Caches the query results.

### INTPARSE

    public static final Object[] INTPARSE

  Use internal XML parser.

### DTD

    public static final Object[] DTD

  Flag for parsing DTDs in internal parser.

### ENTITY

    public static final Object[] ENTITY

  Flag for entity parsing in internal parser.

### RUNS

    public static final Object[] RUNS

  Number of query executions.

### CHOP

    public static final Object[] CHOP

  Flag for whitespace chopping.

### TEXTINDEX

    public static final Object[] TEXTINDEX

  Flag for creating a text index.

### ATTRINDEX

    public static final Object[] ATTRINDEX

  Flag for creating an attribute value index.

### FTINDEX

    public static final Object[] FTINDEX

  Flag for creating a full-text index.

### PATHINDEX

    public static final Object[] PATHINDEX

  Flag for creating a path summary.

### TABLEMEM

    public static final Object[] TABLEMEM

  Flag for loading database table into main memory.

### MAINMEM

    public static final Object[] MAINMEM

  Flag for creating a main memory database.

### CREATEFILTER

    public static final Object[] CREATEFILTER

  Path for filtering XML Documents.

### MAXTEXT

    public static final Object[] MAXTEXT

  Maximum text size to be displayed.

### WILDCARDS

    public static final Object[] WILDCARDS

  Flag for creating a wildcard index.

### STEMMING

    public static final Object[] STEMMING

  Flag for full-text stemming.

### CASESENS

    public static final Object[] CASESENS

  Flag for full-text case sensitivity.

### DIACRITICS

    public static final Object[] DIACRITICS

  Flag for full-text diacritics sensitivity.

### SCORING

    public static final Object[] SCORING

  Scoring mode: 0 = none, 1 = document nodes, 2 = text nodes.

### STOPWORDS

    public static final Object[] STOPWORDS

  Path to full-text stopword list.

### LSERROR

    public static final Object[] LSERROR

  Levenshtein default error.

### MAB2FLAT

    public static final Object[] MAB2FLAT

  Flag for creating flat MAB2 data.

### MAXSTAT

    public static final Object[] MAXSTAT

  Maximum number of index occurrences to print.

### TIMEOUT

    public static final Object[] TIMEOUT

  Server timeout in seconds; deactivated if set to 0.

### FSMETA

    public static final Object[] FSMETA

  Flag for importing file metadata.

### FSCONT

    public static final Object[] FSCONT

  Flag for importing file contents.

### FSXML

    public static final Object[] FSXML

  Flag for importing xml contents.

### FSTEXTMAX

    public static final Object[] FSTEXTMAX

  Maximum size for textual imports.

### FSVERBOSE

    public static final Object[] FSVERBOSE

  Verbose debug informations for FSTraversal.

### FUSE

    public static final Object[] FUSE

  Fuse support.

### SPOTLIGHT

    public static final Object[] SPOTLIGHT

  Spotlight integration. If true, on mac platforms spotlight index is used instead of the internal parser implementations.

### gui

    public static boolean gui

  GUI mode.

### debug

    public static boolean debug

  Debug mode.

### language

    public static String language

  Language (applied after restart).

### langkeys

    public static boolean langkeys

  Flag for showing language keys.

Constructor Detail

### Prop

    public Prop(boolean read)

  Constructor.

  Parameters:
    `read` - properties from disk

Method Detail

### dbpath

    public File dbpath(String db)

  Returns a file instance for the current database path.

  Parameters:
    `db` - name of the database
  Returns:
    database filename

### dbexists

    public boolean dbexists(String db)

  Checks if the specified database exists.

  Parameters:
    `db` - name of the database
  Returns:
    result of check

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD